0

I've apt update'd from my sources.list, but the install fails because it apparently links to a non-existent package.

$ apt-cache policy apache2
apache2:
  Installed: (none)
  Candidate: 2.4.18-2ubuntu3.1
  Version table:
     2.4.18-2ubuntu3.1 500
        500 http://ports.ubuntu.com xenial-updates/main armhf Packages
        500 http://ports.ubuntu.com xenial-security/main armhf Packages
     2.4.18-2ubuntu3 500
        500 http://ports.ubuntu.com xenial/main armhf Packages


$ sudo apt-get install apache2 -y
...
After this operation, 4,889 kB of additional disk space will be used.
Ign:1 http://ports.ubuntu.com xenial-security/main armhf apache2-bin armhf 2.4.18-2ubuntu3.1
Ign:2 http://ports.ubuntu.com xenial-security/main armhf apache2-utils armhf 2.4.18-2ubuntu3.1
Ign:3 http://ports.ubuntu.com xenial-security/main armhf apache2-data all 2.4.18-2ubuntu3.1
Ign:4 http://ports.ubuntu.com xenial-security/main armhf apache2 armhf 2.4.18-2ubuntu3.1
Err:1 http://ports.ubuntu.com xenial-security/main armhf apache2-bin armhf 2.4.18-2ubuntu3.1
  404  Not Found [IP: 91.189.88.150 80]
Err:2 http://ports.ubuntu.com xenial-security/main armhf apache2-utils armhf 2.4.18-2ubuntu3.1
  404  Not Found [IP: 91.189.88.150 80]
Err:3 http://ports.ubuntu.com xenial-security/main armhf apache2-data all 2.4.18-2ubuntu3.1
  404  Not Found [IP: 91.189.88.150 80]
Err:4 http://ports.ubuntu.com xenial-security/main armhf apache2 armhf 2.4.18-2ubuntu3.1
  404  Not Found [IP: 91.189.88.150 80]
E: Failed to fetch http://ports.ubuntu.com/pool/main/a/apache2/apache2-bin_2.4.18-2ubuntu3.1_armhf.deb  404  Not Found [IP: 91.189.88.150 80]

E: Failed to fetch http://ports.ubuntu.com/pool/main/a/apache2/apache2-utils_2.4.18-2ubuntu3.1_armhf.deb  404  Not Found [IP: 91.189.88.150 80]

E: Failed to fetch http://ports.ubuntu.com/pool/main/a/apache2/apache2-data_2.4.18-2ubuntu3.1_all.deb  404  Not Found [IP: 91.189.88.150 80]

E: Failed to fetch http://ports.ubuntu.com/pool/main/a/apache2/apache2_2.4.18-2ubuntu3.1_armhf.deb  404  Not Found [IP: 91.189.88.150 80]

E: Unable to fetch some archives, maybe run apt-get update or try with --fix-missing?

  • http://ports.ubuntu.com/pool/main/a/apache2/ lists apache2_2.4.18-2ubuntu3.3_armhf.deb but not apache2_2.4.18-2ubuntu3.1_armhf.deb (3.3 vs. 3.1). Is this an issue with the repo or my config?
  • For what it's worth, I didn't think the issue was a PPA-wide 404 as the repo exists but is missing the package. (I'm only using default ports.ubuntu.com sources (armhf), and xenial is not EOL, right? Unless just xenial-security has moved to old-releases: old-releases.ports.ubuntu.com?)
0

So I didn't figure out why my apt-get cache listed 2.4.18-2ubuntu3.1 when only ...ubuntu3.3 was available, but I did find that ...ubuntu3 (no decimal) installed just fine if I specified that version (or removed the other deb sources)

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.